Uploaded image for project: 'OpenNMS'
  1. OpenNMS
  2. NMS-14209

Update guava dependency to 25.1

    XMLWordPrintable

Details

    • Bug
    • Status: Resolved (View Workflow)
    • Minor
    • Resolution: Fixed
    • Meridian-2020.1.22
    • 30.0.2
    • Build / Packaging
    • Security Level: Default (Default Security Scheme)
    • 7
    • Horizon - April 27 - May 11, Horizon - May 26 - June 9, Horizon 22 - Jun 9 - 23, Horizon 22 - Jun 23 - Jul 7, Horizon 22 - Jul 7 - Jul 21, Horizon 22 - July 21 - Aug 4
    • Sprint
    • 1098

    Description

      Need to update the guava dependency to at least version 31.1-jre to address a vulnerability in the 18.0 release we currently distribute.

      The original reporter attempted to make this change in-house, but it broke their build.

      Attachments

        Issue Links

          Activity

            People

              ranger Benjamin Reed
              jeffg Jeff Gehlbach
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: